Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
ssl error run 2
Output:
```
run at 2021-05-13 17:32:33.076136
run at 2021-05-13 17:32:35.094340
run at 2021-05-13 17:32:36.977748
run at 2021-05-13 17:32:38.854865
run at 2021-05-13 17:32:40.755098
wait at 2021-05-13 17:32:41.120666
wait at 2021-05-13 17:32:42.447928
run at 2021-05-13 17:32:42.576260
wait at 2021-05-13 17:32:43.476152
wait at 2021-05-13 17:32:44.552502
run at 2021-05-13 17:32:44.557964
```
Error:
```
Exception in thread Thread-1:
Traceback (most recent call last):
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/threading.py", line 954, in _bootstrap_inner
self.run()
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/threading.py", line 892, in run
self._target(*self._args, **self._kwargs)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/executors/google_lifesciences.py", line 926, in _wait_for_jobs
status = self._retry_request(request)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/executors/google_lifesciences.py", line 889, in _retry_request
raise ex
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/executors/google_lifesciences.py", line 878, in _retry_request
Traceback (most recent call last):
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/http/client.py", line 552, in _get_chunk_left
chunk_left = self._read_next_chunk_size()
return request.execute()
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/http/client.py", line 519, in _read_next_chunk_size
return int(line, 16)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/googleapiclient/_helpers.py", line 134, in positional_wrapper
ValueError: invalid literal for int() with base 16: b'\n'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/http/client.py", line 569, in _readall_chunked
chunk_left = self._get_chunk_left()
return wrapped(*args, **kwargs)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/http/client.py", line 554, in _get_chunk_left
raise IncompleteRead(b'')
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/googleapiclient/http.py", line 920, in execute
http.client.IncompleteRead: IncompleteRead(0 bytes read)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
resp, content = _retry_request(
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/__init__.py", line 695, in snakemake
success = workflow.execute(
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/workflow.py", line 1017, in execute
success = scheduler.schedule()
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/googleapiclient/http.py", line 222, in _retry_request
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/scheduler.py", line 489, in schedule
self.run(runjobs)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/scheduler.py", line 500, in run
executor.run_jobs(
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/executors/__init__.py", line 136, in run_jobs
self.run(
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/executors/google_lifesciences.py", line 806, in run
result = self._retry_request(operation)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/executors/google_lifesciences.py", line 889, in _retry_request
raise ex
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/snakemake/executors/google_lifesciences.py", line 878, in _retry_request
return request.execute()
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/googleapiclient/_helpers.py", line 134, in positional_wrapper
return wrapped(*args, **kwargs)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/googleapiclient/http.py", line 920, in execute
resp, content = _retry_request(
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/googleapiclient/http.py", line 191, in _retry_request
resp, content = http.request(uri, method, *args, **kwargs)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/oauth2client/transport.py", line 173, in new_request
resp, content = request(orig_request_method, uri, method, body,
raise exception
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/oauth2client/transport.py", line 280, in request
return http_callable(uri, method=method, body=body, headers=headers,
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/googleapiclient/http.py", line 191, in _retry_request
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/httplib2/__init__.py", line 1708, in request
(response, content) = self._request(
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/httplib2/__init__.py", line 1424, in _request
(response, content) = self._conn_request(conn, request_uri, method, body, headers)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/httplib2/__init__.py", line 1405, in _conn_request
content = response.read()
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/http/client.py", line 462, in read
return self._readall_chunked()
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/http/client.py", line 576, in _readall_chunked
raise IncompleteRead(b''.join(value))
http.client.IncompleteRead: IncompleteRead(1266 bytes read)
resp, content = http.request(uri, method, *args, **kwargs)
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/oauth2client/transport.py", line 173, in new_request
resp, content = request(orig_request_method, uri, method, body,
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/oauth2client/transport.py", line 280, in request
return http_callable(uri, method=method, body=body, headers=headers,
File "/home/mwatson9/miniconda3/envs/snakemake_pure/lib/python3.9/site-packages/httplib2/__init__.py", line 1708, in request
```
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment